osl::eval::ml::AnagumaEmpty Class Reference

`#include <king8.h>`

## Public Types

enum | { DIM = 4 }

## Static Public Member Functions

static void | setUp (const Weights &weights, int stage)
static MultiInt | eval (const NumEffectState &state)
static int | index (Square king, Square target)
template<osl::Player Defense>
static MultiInt | evalOne (const NumEffectState &state)

## Static Private Attributes

static CArray< MultiInt, 4 > | table

## Detailed Description

Definition at line 357 of file core/osl/eval/king8.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 360 of file core/osl/eval/king8.h.

## Member Function Documentation

## eval()

MultiInt osl::eval::ml::AnagumaEmpty::eval | ( | const NumEffectState & | state | ) |

static

Definition at line 1072 of file king8.cc.

References evalOne().

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

## evalOne()

template<osl::Player Defense>

MultiInt osl::eval::ml::AnagumaEmpty::evalOne | ( | const NumEffectState & | state | ) |

static

Definition at line 1043 of file king8.cc.

References osl::BLACK, index(), osl::Piece::isEmpty(), osl::SimpleState::kingSquare(), osl::SimpleState::pieceAt(), table, osl::WHITE, osl::Square::x(), and osl::Square::y().

Referenced by eval().

## index()

int osl::eval::ml::AnagumaEmpty::index | ( | Square | king,
|  | Square | target )

static

Definition at line 1036 of file king8.cc.

References osl::Square::x(), and osl::Square::y().

Referenced by evalOne().

## setUp()

void osl::eval::ml::AnagumaEmpty::setUp | ( | const Weights & | weights,
|  | int | stage )

static

Definition at line 1026 of file king8.cc.

References table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

osl::CArray< MultiInt, 4 > osl::eval::ml::AnagumaEmpty::table

static private

Definition at line 367 of file core/osl/eval/king8.h.

Referenced by evalOne(), and setUp().

The documentation for this class was generated from the following files:

- core/osl/eval/king8.h
- king8.cc